unit UDemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  InnoUsers, StdCtrls, ImgList, ComCtrls, ShellAPI;

type
  TForm1 = class(TForm)
    InnoUsers1: TInnoUsers;
    Button1: TButton;
    Button2: TButton;
    TreeView1: TTreeView;
    ImageList1: TImageList;
    Label1: TLabel;
    Edit2: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Edit1: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    Memo1: TMemo;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    Edit5: TEdit;
    Label6: TLabel;
    Edit6: TEdit;
    Button3: TButton;
    Label7: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure InnoUsers1Error(Sender: TObject; Error_Message: String);
    procedure Label11Click(Sender: TObject);
    procedure Label14Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure Edit5Change(Sender: TObject);
    procedure Edit6Change(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var i:integer;
begin
 if Edit2.Text='' then
    begin
     ShowMessage('Enter a domain or computer name!');
     Edit2.Text:='COMPUTER';
     Edit2.SetFocus;
     exit;
    end;
 InnoUsers1.Domain:=Edit2.Text;
 InnoUsers1.GetUserList;
 TreeView1.Items.Clear;
 for i:=0 to InnoUsers1.Users.Count-1 do TreeView1.Items.Add(nil,InnoUsers1.Users.Strings[i]);
end;

procedure TForm1.Button2Click(Sender: TObject);
var i:integer;
    temp:string;
begin
 try
  temp:=TreeView1.Selected.Text;
 except
  begin
   ShowMessage('Click on "Get user list" button first, then select a user from the tree list!');
   TreeView1.SetFocus;
   exit;
  end;
 end;
 InnoUsers1.Domain:=Edit2.text;
 InnoUsers1.GetUserInfo(temp);
 Edit1.Text:=InnoUsers1.User_data.username;
 Edit3.Text:=InnoUsers1.User_data.full_name;
 Edit4.Text:=InnoUsers1.User_data.description;
 CheckBox1.Checked:=InnoUsers1.User_data.must_change;
 CheckBox2.Checked:=InnoUsers1.User_data.cannot_change;
 CheckBox3.Checked:=InnoUsers1.User_data.never_expires;
 CheckBox4.Checked:=InnoUsers1.User_data.account_disabled;
 CheckBox4.Checked:=InnoUsers1.User_data.account_locked;
 Memo1.Lines.Clear;
 for i:=0 to InnoUsers1.User_data.groups.Count-1 do Memo1.Lines.Add(InnoUsers1.User_data.groups.Strings[i]);
end;

procedure TForm1.InnoUsers1Error(Sender: TObject; Error_Message: String);
begin
 ShowMessage('OnError event: '+Error_Message);
end;

procedure TForm1.Label11Click(Sender: TObject);
begin
 ShellExecute(TForm(Owner).Handle, 'open', PChar('mailto:'+Label11.Caption), nil, nil, SW_SHOW);
end;

procedure TForm1.Label14Click(Sender: TObject);
begin
 ShellExecute(TForm(Owner).Handle, 'open', PChar(Label14.Caption), nil, nil, SW_SHOW);
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
 InnoUsers1.UseDefaultUser:=true;
 Edit5.Enabled:=false;
 Edit6.Enabled:=false;
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
 InnoUsers1.UseDefaultUser:=false;
 InnoUsers1.Username:=Edit5.Text;
 InnoUsers1.Password:=Edit6.Text;
 Edit5.Enabled:=true;
 Edit6.Enabled:=true;
end;

procedure TForm1.Edit5Change(Sender: TObject);
begin
 InnoUsers1.Username:=Edit5.Text;
 InnoUsers1.Password:=Edit6.Text;
end;

procedure TForm1.Edit6Change(Sender: TObject);
begin
 InnoUsers1.Username:=Edit5.Text;
 InnoUsers1.Password:=Edit6.Text;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
 InnoUsers1.About.ShowInfo;
end;

end.
